ProbeReport (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.ProbeReport class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class ProbeReport

    java.lang.Object
      com.securitycentric.metacoretex.lib.ProbeReport

public class ProbeReport
extends java.lang.Object

Author:
  visigoth

Constructor Summary
`ProbeReport()` Creates a new instance of ProbeReport
`ProbeReport(int probeId)`
`ProbeReport(int probeId, java.lang.String report)`

Method Summary
`int` | `getProbeId()`
`java.lang.String` | `getProbeName()`
`java.util.Properties` | `getProbeOptions()`
`java.lang.String` | `getProbeVersion()`
`java.lang.String` | `getReport()`
`int` | `getSeverity()`
`long` | `getStart()`
`long` | `getStop()`
`void` | `setProbeId(int pid)`
`void` | `setProbeName(java.lang.String name)`
`void` | `setProbeOptions(java.util.Properties prop)`
`void` | `setProbeVersion(java.lang.String ver)`
`void` | `setReport(java.lang.String rep)`
`void` | `setSeverity(int sev)`
`void` | `setStart(long x)`
`void` | `setStop(long x)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProbeReport

    public ProbeReport()

  Creates a new instance of ProbeReport

### ProbeReport

    public ProbeReport(int probeId)

### ProbeReport

    public ProbeReport(int probeId,
                       java.lang.String report)

Method Detail

### setProbeId

    public void setProbeId(int pid)

### getProbeId

    public int getProbeId()

### getProbeName

    public java.lang.String getProbeName()

### setProbeName

    public void setProbeName(java.lang.String name)

### getReport

    public java.lang.String getReport()

### setReport

    public void setReport(java.lang.String rep)

### getSeverity

    public int getSeverity()

### setSeverity

    public void setSeverity(int sev)

### setStart

    public void setStart(long x)

### setStop

    public void setStop(long x)

### getStart

    public long getStart()

### getStop

    public long getStop()

### getProbeVersion

    public java.lang.String getProbeVersion()

### setProbeVersion

    public void setProbeVersion(java.lang.String ver)

### setProbeOptions

    public void setProbeOptions(java.util.Properties prop)

### getProbeOptions

    public java.util.Properties getProbeOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD